BaroclineBarocline
DexterWeather Events

getAddressWeatherEvent_1

Returns weather event information for the supplied peril(s) and address.

GET
/api/v3/dexter/event/address/{address}

Returns weather event information for the supplied peril(s) and address. Only fields relevant for the peril are returned under perils and intervals.

Path Parameters

address*string

The requested address.

Query Parameters

date*string

The day to report (MM/DD/YYYY).

Formatdate-time
units?string

The requested units: IMPERIAL or METRIC (default is IMPERIAL).

Default"IMPERIAL"
Value in"IMPERIAL" | "METRIC"
additionalData?string

Request extra hourly interval data: true or false (default is false).

Default"false"
Value in"true" | "false"
userKey*string

The user key.

Response Body

application/json

curl -X GET "https://dexter.atheniumanalytics.com/api/v3/dexter/event/address/string?perils=HAIL&date=2019-08-24T14%3A15%3A22Z&userKey=string"
{
  "date": "2019-08-24T14:15:22Z",
  "periodStartGmt": "string",
  "periodEndGmt": "string",
  "address": "string",
  "addressFound": "string",
  "latitude": 0.1,
  "longitude": 0.1,
  "units": "IMPERIAL",
  "perils": [
    {
      "perilEnum": "Cold",
      "peril": "string",
      "perilUnits": "string",
      "totalPeril": 0.1,
      "minPeril": 0.1,
      "maxPeril": 0.1,
      "hourOfMaxPeril": "string",
      "hourOfMinPeril": "string",
      "hourOfMaxSustained": "string",
      "stationId": "string",
      "intervals": [
        {
          "dateHrLwt": "string",
          "dateHrGmt": "string",
          "windSpeed": 0.1,
          "hail": 0.1,
          "temperature": 0.1,
          "rain": 0.1,
          "precipitation": 0.1,
          "freezingRain": 0.1,
          "snow": 0.1,
          "gust": 0.1
        }
      ]
    }
  ]
}
Empty
Empty
Empty